### Function

# GLib OptionParseFunc

since: 2.0

#### Declaration

    gboolean
    (* GOptionParseFunc) (
      GOptionContext* context,
      GOptionGroup* group,
      gpointer data,
      GError** error
    )

#### Description

The type of function that can be called before and after parsing.

Available since: 2.0

#### Parameters

`context`

  Type: `GOptionContext`

  The active `GOptionContext`.

  The data is owned by the caller of the function.

`group`

  Type: `GOptionGroup`

  The group to which the function belongs.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data added to the `GOptionGroup` containing the option when it was created with `g_option_group_new()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the function completed successfully, `FALSE` if an error occurred, in which case `error` should be set with `g_set_error()`